Run a monitor

View as Markdown
Runs a monitor and returns its run results. **Note:** - If you pass the `async=true` query parameter, the response does not return the `stats`, `executions`, and `failures` responses. To get this information for an asynchronous run, call the GET `/monitors/{id}` endpoint. - If the call exceeds 300 seconds, the endpoint returns an HTTP `202 Accepted` response. Use the GET `/monitors/{id}` endpoint to check the run's status in the response's `lastRun` property. To avoid this, it is recommended that you include the `async=true` query parameter when using this endpoint.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

monitorIdstringRequired
The monitor's ID.

Query parameters

asyncbooleanOptionalDefaults to false

If true, runs the monitor asynchronously from the created monitor run task. By default, the server will not respond until the task finishes (false).

Response

Successful Response
runobject

Information about the monitor run. If you pass the async=true query parameter, the response does not return the stats, executions, and failures responses. To get this information for an asynchronous run, call the GET /monitors/{id} endpoint.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error